const _ = require('lodash');
const Generator = require('yeoman-generator');
const YAML = require('yamljs');

module.exports = class extends Generator {
    constructor(args, opts) {
        super(args, opts);

        this.argument('appname', {
            type: String,
            required: false
        });

        const configs = YAML.load(this.templatePath('template.yml'));

        this.template = {
            files: configs.files,
            data: _.extend(
                {},
                configs.data || {}, {
                    appname: this.options.appname || this.appname,
                    appFileName: _.upperFirst(_.camelCase(this.options.appname || this.appname))
                }
            )
        };
    }

    _dest_path(srcFileName, destFileName) {
        return _.template(destFileName || srcFileName)(this.template.data);
    }

    write_files() {
        _.map(this.template.files, (file) => {
            this.fs.copyTpl(
                this.templatePath(file.src),
                this.destinationPath(this._dest_path(file.src, file.dest)),
                this.template.data
            );
        });
    }
};