import {ReactatorAppConfigurationBuillder} from 'reactator/ReactatorAppConfiguration';
import <%= appFileName %>Routes from './routes/<%= appFileName %>Routes.js';
import TodoReducer from './reducers/TodoReducer.js';
import ApplicationReducer from './reducers/ApplicationReducer.js';

export default class <%= appFileName %>AppConfigurationBuilder extends ReactatorAppConfigurationBuillder {
    constructor() {
        super();

        this
            .withRoutes(new <%= appFileName %>Routes())
            .withStore((builder) => {
                builder
                    .withReducer(new TodoReducer())
                    .withReducer(new ApplicationReducer());

                if (typeof window !== 'undefined' && window.__PRELOADED_STATE__) {
                    builder.withInitialState(window.__PRELOADED_STATE__);
                }
            });
    }
}

