import {Link} from 'react-router';
import React, {Component} from 'react';
import classNames from 'classnames';
import {LinkContainer} from 'react-router-bootstrap';

class NavItem extends Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <li className={classNames('nav-item', {'active': this.props.active})}>
                <Link className="nav-link" to={this.props.to}>{this.props.children}</Link>
            </li>
        );
    }
}

export default class FixedHeader extends Component {
    render() {
        return (
           <nav className="navbar fixed-top navbar-toggleable-md navbar-dark elegant-color">
                <div className="container">
                    <button className="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                        data-target="#navbarNav1" aria-controls="navbarNav1" aria-expanded="false" aria-label="Toggle navigation">
                        <span className="navbar-toggler-icon"></span>
                    </button>
                    <Link className="navbar-brand" to="/"><%= appFileName %></Link>
                    <div className="navbar-collapse" id="navbarNav1">
                        <ul className="navbar-nav mr-auto">
                            <LinkContainer to="/"><NavItem to="/">Home</NavItem></LinkContainer>
                            <LinkContainer to="/doc"><NavItem to="/doc">Docs</NavItem></LinkContainer>
                        </ul>
                    </div>
                </div>
            </nav>
        );
    }
}
