import _ from 'reactator/lib/lodash';
import React, {PropTypes} from 'react';
import ReduxComponent from 'reactator/components/ReduxComponent';
import TodoModalComponent from '../../components/todo/TodoModalComponent.js';
import TodoEntryContainer from '../../containers/TodoEntryContainer.js';

export default ReduxComponent({
    todos: PropTypes.arrayOf(PropTypes.shape({
        _id: PropTypes.string.isRequired,
        created: PropTypes.number.isRequired,
        description: PropTypes.string.isRequired,
        completed: PropTypes.bool.isRequired
    })),
}, (props) => {
    const list = _.map(props.todos, (todo) => {
        return (
            <TodoEntryContainer key={todo._id} entry={todo} />
        );
    });

    const modal = props.modal ? <TodoModalComponent entry={props.modal} handleHideModal={props.handleHideModal} /> : undefined;

    return (
        <div className='w-100'>
            <div className="list-group">
                {list}
            </div>
            {modal}
        </div>
    );
});
