import moment from 'moment';
import React, {PropTypes} from 'react';
import BootstrapModal from 'reactator/components/BootstrapModal';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 */
export default class TodoModalComponent extends React.PureComponent {
    static propTypes = {
        handleHideModal: PropTypes.func.isRequired,
        entry: PropTypes.shape({
            _id: PropTypes.string.isRequired,
            created: PropTypes.number.isRequired,
            description: PropTypes.string.isRequired,
            completed: PropTypes.bool.isRequired,
            state: PropTypes.string.isRequired
        }).isRequired
    }

    render() {
        return (
        <BootstrapModal ref='modal' handleHideModal={this.props.handleHideModal}>
            <div className='w-100'>
                <strong>Todo Details</strong>
                <button type="button" className="close" data-dismiss="modal" dangerouslySetInnerHTML={{__html: '&times'}} />
            </div>
            <div>
                <table className="table">
                  <thead>
                    <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                        <td>_id</td>
                        <td>{this.props.entry._id}</td>
                    </tr>
                    <tr>
                        <td>created</td>
                        <td>{moment(this.props.entry.created).format()}</td>
                    </tr>
                    <tr>
                        <td>description</td>
                        <td>{this.props.entry.description}</td>
                    </tr>
                    <tr>
                        <td>completed</td>
                        <td>{this.props.entry.completed ? 'COMPLETED' : 'INCOMPLETE'}</td>
                    </tr>
                    <tr>
                        <td>status</td>
                        <td>{this.props.entry.state || 'NO STATUS'}</td>
                    </tr>
                  </tbody>
                </table>
            </div>
            <div>
                <button type="button" className="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
        </BootstrapModal>
        );
    }
}

