import _ from 'reactator/lib/lodash';
import ReduxContainerBuilder from 'reactator/containers/ReduxContainerBuilder';
import NewTodoEntryComponent from '../components/todo/NewTodoEntryComponent.js';
import {createTodoEntryAction} from '../actions/TodoActions.js';

export default new ReduxContainerBuilder()
    .withMapDispatchToProps((dispatch) => {
        return {
            onKeyPress: (e) => {
                if (e.key === 'Enter') {
                    const text = _.trim(e.target.value);

                    if (!_.isEmpty(text)) {
                        dispatch(createTodoEntryAction(text));
                        e.target.value = '';
                    }
                }
            }
        };
    })
    .withComponent(NewTodoEntryComponent)
    .build();
