import ReduxContainerBuilder from 'reactator/containers/ReduxContainerBuilder';
import TodoEntryComponent from '../components/todo/TodoEntryComponent.js';
import {closeTodoEntryAction, reopenTodoEntryAction, removeTodoEntryAction} from '../actions/TodoActions.js';
import {enableModalAction} from '../actions/ModalActions.js';

export default new ReduxContainerBuilder()
    .withMapDispatchToProps((dispatch) => {
        return {
            closeTodoEntry: (id) => {
                dispatch(closeTodoEntryAction(id));
            },
            reopenTodoEntry: (id) => {
                dispatch(reopenTodoEntryAction(id));
            },
            removeTodoEntry: (id) => {
                dispatch(removeTodoEntryAction(id));
            },
            showTodoEntryDetails: (id) => {
                dispatch(enableModalAction({type: 'TODO', id: id}));
            }
        };
    })
    .withComponent(TodoEntryComponent)
    .build();
