import ReduxContainerBuilder from 'reactator/containers/ReduxContainerBuilder';
import {getSortedTodos} from '../selectors/TodoSelectors.js';
import TodoListComponent from '../components/todo/TodoListComponent.js';
import {disableModalAction} from '../actions/ModalActions.js';

export default new ReduxContainerBuilder()
    .withMapStateToProps((state) => {
        var modal;

        if (state.application && state.application.modal && state.application.modal.type === 'TODO') {
            modal = state.todos[state.application.modal.id];
        }

        return {
            todos: getSortedTodos(state),
            modal: modal
        };
    })
    .withMapDispatchToProps((dispatch) => {
        return {
            handleHideModal: () => {
                dispatch(disableModalAction());
            }
        };
    })
    .withComponent(TodoListComponent)
    .build();
