module.exports = {
    <%= appFileName %>AppConfigurationBuilder: require('./<%= appFileName %>AppConfigurationBuilder.js'),
    actions: {
        ModalActions: require('./actions/ModalActions.js'),
        TodoActions: require('./actions/TodoActions.js')
    },
    client: {
        TodoClient: require('./client/TodoClient.js')
    },
    components: {
        AppLayout: require('./components/AppLayout.js'),
        InternalServerErrorComponent: require('./components/InternalServerErrorComponent.js'),
        NotFoundComponent: require('./components/NotFoundComponent.js'),
        doc: {
            DocComponent: require('./components/doc/DocComponent.js')
        },
        layout: {
            FixedHeader: require('./components/layout/FixedHeader.js'),
            Footer: require('./components/layout/Footer.js')
        },
        todo: {
            NewTodoEntryComponent: require('./components/todo/NewTodoEntryComponent.js'),
            TodoComponent: require('./components/todo/TodoComponent.js'),
            TodoEntryComponent: require('./components/todo/TodoEntryComponent.js'),
            TodoListComponent: require('./components/todo/TodoListComponent.js'),
            TodoModalComponent: require('./components/todo/TodoModalComponent.js')
        }
    },
    constants: {
        ActionConstants: require('./constants/ActionConstants.js')
    },
    containers: {
        NewTodoEntryContainer: require('./containers/NewTodoEntryContainer.js'),
        TodoEntryContainer: require('./containers/TodoEntryContainer.js'),
        TodoListContainer: require('./containers/TodoListContainer.js')
    },
    lib: {
        jquery: require('./lib/jquery.js')
    },
    reducers: {
        ApplicationReducer: require('./reducers/ApplicationReducer.js'),
        TodoReducer: require('./reducers/TodoReducer.js')
    },
    routes: {
        <%= appFileName %>Routes: require('./routes/<%= appFileName %>Routes.js'),
        DocRoutes: require('./routes/DocRoutes.js'),
        TodoRoutes: require('./routes/TodoRoutes.js')
    },
    selectors: {
        TodoSelectors: require('./selectors/TodoSelectors.js')
    }
};
