import dotProp from 'dot-prop-immutable';
import {Reducer, ReducerWrapper} from 'reactator/reducers/Reducer';

export default class TodoReducer extends Reducer {
    constructor() {
        super('todos');

        return new ReducerWrapper(this);
    }
    apply(state = {}) {
        return state;
    }

    ADD_TODO_ENTRY(state, action) {
        return dotProp.set(state, action.payload._id, action.payload);
    }

    CLOSE_TODO_ENTRY(state, action) {
        return dotProp.set(state, `${action.payload}.completed`, true);
    }

    REOPEN_TODO_ENTRY(state, action) {
        return dotProp.set(state, `${action.payload}.completed`, false);
    }

    REMOVE_TODO_ENTRY(state, action) {
        return dotProp.delete(state, action.payload);
    }

    SAVE_TODO_ENTRY(state, action) {
        return dotProp.set(state, `${action.payload}.state`, 'SAVED');
    }

    UNSAVED_TODO_ENTRY(state, action) {
        return dotProp.set(state, `${action.payload}.state`, 'UNSAVED');
    }
}
