import React from 'react';
import {Route} from 'react-router';
import CompositeRoutes from 'reactator/routes/CompositeRoutes';
import AppLayout from '../components/AppLayout.js';
import TodoRoutes from './TodoRoutes.js';
import DocRoutes from './DocRoutes.js';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 * @classdesc <%= appFileName %>Routes is an example of {@link module:Reactator.CompositeRoutes} for the <%= appFileName %> app.
 */
class <%= appFileName %>Routes extends CompositeRoutes {
    constructor() {
        super([
            new TodoRoutes(),
            new DocRoutes()
        ]);
    }

    /**
     * Provides the composite react-router routes for the <%= appFileName %>.
     *
     * @return {Route} composite route
     * @inheritdoc
     */
    getRoutes() {
        return (
            <Route component={AppLayout}>
                {super.getRoutes()}
            </Route>
        );
    }
}

module.exports = <%= appFileName %>Routes;
