import React from 'react';
import {Route, IndexRoute} from 'react-router';
import Routes from 'reactator/routes/Routes';
import BasicLayout from 'reactator/components/BasicLayout';
import DocComponent from '../components/doc/DocComponent.js';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 * @classdesc MainRoutes is an example of {@link module:Reactator.Routes} for the <%= appFileName %> app's main page.
 */
class MainRoutes extends Routes {
    /**
     * Provides the routes for the main component of the <%= appFileName %> app.
     * @return {Route} the route representing the main component
     * @inheritdoc
     */
    getRoutes() {
        return (
            <Route key="doc" name="doc" path="/doc" component={BasicLayout}>
                <IndexRoute component={DocComponent} />
            </Route>
        );
    }
}

module.exports = MainRoutes;
