import React from 'react';
import {Route, IndexRoute} from 'react-router';
import Routes from 'reactator/routes/Routes';
import BasicLayout from 'reactator/components/BasicLayout';
import TodoComponent from '../components/todo/TodoComponent.js';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 * @classdesc TodoRoutes is an example of {@link module:Reactator.Routes} for the <%= appFileName %> app's todo page.
 */
class TodoRoutes extends Routes {
    /**
     * Provides the routes for the todo component of the <%= appFileName %> app.
     * @return {Route} the route representing the todo component
     * @inheritdoc
     */
    getRoutes() {
        return (
            <Route key="todo" name="todo" path="/" component={BasicLayout}>
                <IndexRoute component={TodoComponent} />
            </Route>
        );
    }
}

module.exports = TodoRoutes;
