import _ from 'reactator/lib/lodash';
import express from 'express';
import {addTodoEntryAction} from '../client/actions/TodoActions.js';

const TODO_ENTRIES = {};

export default class TodoContainer {
    bind(app) {
        const router = express.Router();

        router.post('/', ::this.handleCreate);
        router.delete('/:id', ::this.handleDelete);
        router.put('/:id', ::this.handleUpdate);

        app.use('/api/todos/v1', router);
    }

    handleCreate(req, res) {
        TODO_ENTRIES[req.body._id] = req.body;
        TODO_ENTRIES[req.body._id].state = 'SAVED';
        res.status(201).send('/api/todos/v1/' + req.body._id);
    }

    handleUpdate(req, res) {
        TODO_ENTRIES[req.params.id] = req.body;
        TODO_ENTRIES[req.params.id].state = 'SAVED';
        res.status(200).send(TODO_ENTRIES[req.params.id]);
    }

    handleDelete(req, res) {
        delete TODO_ENTRIES[req.params.id];
        res.status(202).end();
    }

    getLoadActions() {
        return _.map(_.values(TODO_ENTRIES), addTodoEntryAction);
    }
}
